- Home »
- Catalog »
- Front Disc Brake Conversion Kits »
- Power Front Kits
LEED Brakes » LEED Brakes
Browse Power Front Kits Products
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with this front drum-to-disc brake conversion kit. This complete front disc brake conversion includes everything needed...More Details »
Item #: FC1003-M1A1
Condition:
New
Price: $1,219.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the Power Front Disc Brake Conversion Kit with 2" Drop Spindles, 9" Chrome Booster, Flat Top Chrome Master Cylinder,...More Details »
Item #: FC1003-F6B2
Condition:
New
Price: $1,299.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with LEED Brakes’ Power Front Disc Brake Conversion Kit with 2" Drop Spindle, 9" Zinc Booster, Cast Iron Master...More Details »
Item #: FC1003-E1A1
Condition:
New
Price: $1,199.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with LEED Brakes' drum-to-disc brake conversion kit for GM AFX models. This power front disc brake conversion kit...More Details »
Item #: FC1002-F605X
Condition:
New
Price: $1,259.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with LEED Brakes’ Power Front Disc Brake Conversion Kit with Cross Drilled and Slotted Rotors, 9" Zinc Booster, Cast...More Details »
Item #: FC1002-E1A3X
Condition:
New
Price: $1,279.99
Ford Bronco
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1966-75 Ford Bronco from front drum to power disc brakes with this complete LEED Brakes conversion kit. Designed to mount dual-piston disc brakes to the factory drum brake knuckles,...More Details »
Item #: FC5001-8105
Condition:
New
Price: $1,449.99
Mopar, Dodge, Plymouth, A Body Disc Brakes
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your Mopar A-Body vehicle with this LEED Brakes power front disc brake conversion kit designed to improve safety, reliability, and braking performance. This power drum-to-disc brake...More Details »
Item #: FC2001-8405
Condition:
New
Price: $1,679.99
Mopar, Dodge, Plymouth, B & E Body Disc Brakes
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Convert your Mopar B and E Body from manual drum to power front disc brakes with this 4-piston conversion kit from LEED Brakes. Designed to mount to original drum brake spindles, this direct bolt...More Details »
Item #: FC2002-8405
Condition:
New
Price: $1,579.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the LEED Brakes Power Front Disc Brake Conversion Kit for GM AFX. This drum-to-disc conversion kit includes...More Details »
Item #: FC1002-M1A3
Condition:
New
Price: $1,154.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the Power Front Disc Brake Conversion Kit with 9" Chrome Booster, Flat Top Chrome Master Cylinder, and Adjustable...More Details »
Item #: FC1002-F605
Condition:
New
Price: $1,119.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the Power Front Disc Brake Conversion Kit with 9" Chrome Booster, Flat Top Chrome Master Cylinder, and Disc/Disc...More Details »
Item #: FC1002-F6B4
Condition:
New
Price: $1,169.99
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the Power Front Disc Brake Conversion Kit with 9" Chrome Booster, Flat Top Chrome Master Cylinder, and Disc/Drum...More Details »
Item #: FC1002-F6B2
Condition:
New
Price: $1,169.99
Bel Air, Biscayne, Brookwood, El Camino, Nomad, Sedan Delivery
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1958-64 Chevrolet Power Front Disc Brake Conversion Kit. This complete spindle mount...More Details »
Item #: FC1011-K1A1
Condition:
New
Price: $1,049.99
Bel Air, Biscayne, Brookwood, El Camino, Nomad, Sedan Delivery
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with our drum-to-disc brake conversion kit. This kit includes everything you need to mount black powder-coated...More Details »
Item #: BFC1011-K1A1X
Condition:
New
Price: $1,271.99
Bel Air, Biscayne, Brookwood, El Camino, Nomad, Sedan Delivery
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1959–1964 Chevrolet Bel Air or Impala from front drum to power disc brakes with this complete LEED Brakes conversion kit. Features red powder-coated single-piston calipers, a...More Details »
Item #: RFC1011-K1A1X
Condition:
New
Price: $1,271.99
Bel Air, Biscayne, Brookwood, El Camino, Nomad, Sedan Delivery
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1959-1964 Chevrolet Bel Air or Impala with this complete power front disc brake conversion kit from LEED Brakes. Whether you're restoring a 1962 Chevrolet Bel Air or upgrading another...More Details »
Item #: FC1011-K1A1X
Condition:
New
Price: $1,189.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your 1965–1972 Mopar C-Body with the safety, reliability, and stopping performance of a LEED Brakes manual drum-to-power front disc brake conversion kit. This kit includes everything...More Details »
Item #: FC2003-8405X
Condition:
New
Price: $1,679.99
Mopar, Dodge, Plymouth, B & E Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Convert your Mopar B and E Body from manual drum to power front disc brakes with this 4-piston conversion kit from LEED Brakes featuring MaxGrip XDS cross drilled and slotted rotors. Designed to...More Details »
Item #: FC2002-8405X
Condition:
New
Price: $1,719.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the Power Front Disc Brake Conversion Kit featuring an 8" Dual Chrome Booster, Flat Top Chrome Master Cylinder, and...More Details »
Item #: FC1002-N6B4
Condition:
New
Price: $1,289.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability and performance of disc brakes to your GM AFX vehicle with this front drum to disc brake conversion kit from LEED Brakes. This AFX disc brake conversion kit for GM...More Details »
Item #: FC1003-N6B4X
Condition:
New
Price: $1,439.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your Chevrolet with the safety, reliability, and performance of a complete power drum-to-disc brake conversion from LEED Brakes. This power front disc brake kit includes everything required...More Details »
Item #: BFC1002-F6B2X
Condition:
New
Price: $1,384.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a complete drum-to-disc brake conversion from LEED Brakes. This black AFX body manual front disc brake kit includes...More Details »
Item #: BFC1002-F605X
Condition:
New
Price: $1,334.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with our drum-to-disc brake conversion. In this kit, you receive everything you need to mount red powder-coated...More Details »
Item #: RFC1002-F605X
Condition:
New
Price: $1,334.99
Ford Bronco
Description: Strengthen your Bronco's spirit with a brand new forged steel drum brake wheel hub!
Conquer the toughest trails with the confidence of a new forged steel drum brake wheel hub, built to outlast...More Details »
Item #: WH001
Condition:
New
Price: $249.99
Tri-Five Chevy, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet power front spindle mount disc brake conversion kit. This...More Details »
Item #: BFC1010-K1A3X
Condition:
New
Price: $1,265.99
Tri-Five Chevy, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1955-58 Chevrolet Bel Air, Impala, or 1958 Biscayne with this complete power front disc brake conversion kit from LEED Brakes. Designed to replace factory drum brakes, this direct...More Details »
Item #: FC1010-K105X
Condition:
New
Price: $1,174.99
Tri-Five Chevy, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet power front spindle mount disc brake conversion kit. This...More Details »
Item #: BFC1010-K105X
Condition:
New
Price: $1,249.99
Tri-Five Chevy, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet power front spindle mount disc brake conversion kit. This...More Details »
Item #: RFC1010-K105X
Condition:
New
Price: $1,249.99
Tri-Five Chevy, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet power front spindle mount disc brake conversion kit. This...More Details »
Item #: FC1010-K1A3
Condition:
New
Price: $1,049.99
Tri-Five Chevy, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet power front spindle mount disc brake conversion kit featuring...More Details »
Item #: FC1010-K1A3X
Condition:
New
Price: $1,189.99
Tri-Five Chevy, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet power front spindle mount disc brake conversion kit. This...More Details »
Item #: RFC1010-K1A3X
Condition:
New
Price: $1,265.99
Tri-Five Chevy, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet power front spindle mount disc brake conversion kit. This...More Details »
Item #: FC1010-K105
Condition:
New
Price: $1,034.99
Tri-Five Chevy, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of power disc brakes to your 1955-58 Tri-Five GM Full Size vehicle with LEED Brakes' front drum-to-disc brake conversion kit. This complete power front...More Details »
Item #: FC1010-K1A1
Condition:
New
Price: $1,049.99
Tri-Five Chevy, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet power front spindle mount disc brake conversion kit featuring...More Details »
Item #: FC1010-K1A1X
Condition:
New
Price: $1,189.99
Tri-Five Chevy, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet power front spindle mount disc brake conversion kit featuring...More Details »
Item #: BFC1010-K1A1X
Condition:
New
Price: $1,264.99
Tri-Five Chevy, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet power front spindle mount disc brake conversion kit. This...More Details »
Item #: RFC1010-K1A1X
Condition:
New
Price: $1,264.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1957-1968 full-size Ford or Mercury with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed to convert vehicles originally equipped with...More Details »
Item #: FC0026-8307X
Condition:
New
Price: $2,094.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1957-1968 full-size Ford or Mercury with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed to convert vehicles originally equipped with...More Details »
Item #: RFC0026-8307X
Condition:
New
Price: $2,169.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your 1957–1968 Ford full-size vehicle with this manual drum to power disc conversion kit featuring MaxGrip XDS rotors from LEED...More Details »
Item #: FC0025-8307X
Condition:
New
Price: $1,739.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Ford with LEED Brakes' 1957-62 Ford Full-Size Power Front Disc Brake Conversion Kit featuring MaxGrip XDS rotors. This...More Details »
Item #: FC0025-Y307X
Condition:
New
Price: $1,839.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1957-1962 full-size Ford or Mercury with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed specifically for vehicles equipped with...More Details »
Item #: RFC0026-Y307X
Condition:
New
Price: $2,199.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Ford with LEED Brakes' 1957-68 Ford Full-Size Power Front Disc Brake Conversion Kit for Y-Block cars. This complete kit...More Details »
Item #: FC0025-Y307
Condition:
New
Price: $1,699.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1957-1968 full-size Ford or Mercury with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed to convert vehicles originally equipped with...More Details »
Item #: BFC0026-8307X
Condition:
New
Price: $2,169.99
Bel Air, Biscayne, Brookwood, El Camino, Nomad, Sedan Delivery
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of power disc brakes to your 1958-1964 full-size Chevrolet with LEED Brakes' front disc brake conversion kit. This kit mounts to your stock drum brake...More Details »
Item #: BFC1011-K1A3X
Condition:
New
Price: $1,272.99
Bel Air, Biscayne, Brookwood, El Camino, Nomad, Sedan Delivery
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1958-64 Full-Size Chevrolet power front spindle mount disc brake conversion kit. This...More Details »
Item #: FC1011-K105
Condition:
New
Price: $1,034.99
Bel Air, Biscayne, Brookwood, El Camino, Nomad, Sedan Delivery
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1958-64 Full-Size Chevrolet power front spindle mount disc brake conversion kit featuring...More Details »
Item #: FC1011-K105X
Condition:
New
Price: $1,174.99
Bel Air, Biscayne, Brookwood, El Camino, Nomad, Sedan Delivery
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1958-64 Full-Size Chevrolet power front spindle mount disc brake conversion kit featuring...More Details »
Item #: FC1011-K1A3X
Condition:
New
Price: $1,189.99
Bel Air, Biscayne, Brookwood, El Camino, Nomad, Sedan Delivery
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1958-64 Full-Size Chevrolet power front spindle mount disc brake conversion kit featuring...More Details »
Item #: BFC1011-K105X
Condition:
New
Price: $1,255.99
Bel Air, Biscayne, Brookwood, El Camino, Nomad, Sedan Delivery
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1958-64 Full-Size Chevrolet power front spindle mount disc brake conversion kit featuring...More Details »
Item #: RFC1011-K105X
Condition:
New
Price: $1,255.99
Bel Air, Biscayne, Brookwood, El Camino, Nomad, Sedan Delivery
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of power disc brakes to your 1958-1964 full-size Chevrolet with LEED Brakes' front disc brake conversion kit. This complete kit includes everything...More Details »
Item #: FC1011-K1A3
Condition:
New
Price: $1,049.99
Bel Air, Biscayne, Brookwood, El Camino, Nomad, Sedan Delivery
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1958-64 Full-Size Chevrolet power front spindle mount disc brake conversion kit featuring...More Details »
Item #: RFC1011-K1A3X
Condition:
New
Price: $1,272.99
Mopar, Dodge, Plymouth, B Body Disc Brakes
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade the safety, reliability, and stopping power of your classic Mopar with LEED Brakes' 1962-72 Mopar B, C & E-Body Factory Power Front Disc Brake Conversion Kit. Designed for vehicles...More Details »
Item #: BFC2002-C05PX
Condition:
New
Price: $1,629.99
Mopar, Dodge, Plymouth, B Body Disc Brakes
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and braking performance of disc brakes to your classic Mopar with LEED Brakes' 1962-72 Factory Power Front Disc Brake Conversion Kit. Designed for vehicles equipped...More Details »
Item #: FC2002-C05P
Condition:
New
Price: $1,399.99
Mopar, Dodge, Plymouth, B Body Disc Brakes
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade the safety, reliability, and braking performance of your 1962-72 Mopar with LEED Brakes' Factory Power Front Disc Brake Conversion Kit featuring MaxGrip XDS rotors. Designed for vehicles...More Details »
Item #: FC2002-C05PX
Condition:
New
Price: $1,539.99
Ford Mustang, Manual Transmission
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and stopping performance of power front disc brakes to your 1964-1966 Ford Mustang with a factory manual transmission. This drum-to-power disc brake conversion kit...More Details »
Item #: FC0001-H405M
Condition:
New
Price: $1,499.99
1964-66 Mustang Manual Tranmssion Power Front Kit with Drilled Rotors and Red Powder Coated Calipers
Ford Mustang, Manual Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and stopping performance of power front disc brakes to your 1964-1966 Ford Mustang with a factory manual transmission. This drum-to-power disc brake conversion kit...More Details »
Item #: RFC0001-H405MX
Condition:
New
Price: $1,714.99
Ford Mustang, Manual Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and stopping performance of power front disc brakes to your 1964-1966 Ford Mustang with a factory manual transmission. This drum-to-power disc brake conversion kit...More Details »
Item #: BFC0001-H405MX
Condition:
New
Price: $1,714.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1964-1968 full-size Ford or Mercury with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed specifically to convert vehicles originally...More Details »
Item #: BFC0026-P307X
Condition:
New
Price: $2,149.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964-1968 full-size Ford or Mercury from factory power drum brakes to power front disc brakes with this MaxGrip XDS conversion kit from LEED Brakes. Designed for classic Ford Galaxie,...More Details »
Item #: BFC0025-P307X
Condition:
New
Price: $1,839.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964-1968 full-size Ford or Mercury from factory power drum brakes to power front disc brakes with this MaxGrip XDS conversion kit from LEED Brakes. Designed for classic Ford Galaxie,...More Details »
Item #: FC0025-P307X
Condition:
New
Price: $1,764.99